function [txSig, frameLen] = DgenerateOFDMSignal(numFrames)
%GENERATEOFDMSIGNAL: Generate OFDM signal based on the 802.11a standard.
% This function returns the time domain signal and the frame length.

% Copyright 2013-2014 The MathWorks, Inc.

    OFDMTX = DOFDMTransmitterBits('NumFrames', numFrames);


txSig = step(OFDMTX);
frameLen = OFDMTX.FrameLength;

% [EOF]