function buff = receive_test( seconds )

msps = 25;
frame_size = 362*100;
% iterations = seconds * msps * 1e6 / frame_size;

buff = complex(zeros(seconds * msps * 1e6,1));

radio = comm.SDRuReceiver('IPAddress','192.168.10.20', ...
              'CenterFrequency', 2.5e9, ...
              'DecimationFactor', 100/msps, ...
              'Gain',32, ...
              'FrameLength', frame_size, ...
              'OutputDataType', 'double', ...
              'SampleRate', 1/(msps*1e6) ...
              );

timeCounter = uint32(1);

limit = seconds * (msps*1e6);

%ticked = false;

while timeCounter < limit
     %disp(counter*frame_size/(1e6*msps))
    [data, len] = step(radio);
    if len > 0
%         if ticked == false 
%             ticked = true;
%             tic
%         end
        %lastSum = sum(data);
        
        top = timeCounter + len - 1;
        if top > limit
            top = limit;
            buff(timeCounter:top) = data(1:top-timeCounter + 1);
        else
            buff(timeCounter:top) = data;
        end

        timeCounter = timeCounter + len;
    end
    
end
%  toc
release(radio)

%hsa = dsp.SpectrumAnalyzer('SampleRate',msps * 1e6);
%step(spectr, rx_log.Buffer)

end

