function spectr( zm )

[xSize, ySize] = size(zm);

freqBound = ((ySize-1)/2)*2;

f = linspace(-freqBound, freqBound, ySize);
t = linspace(0, 1562*64/20e6 * xSize, xSize);

surf(f, t, zm);
shading interp;
view(90,90);

xlabel('Frecuencia Doppler (Hz)');
ylabel('Tiempo (s)');

end

