function [ fftData4 ] = symbol_classify( fftData3 )

mask = ones(64,1);
mask(8) = 0;
mask(22) = 0;
mask(44) = 0;
mask(58) = 0;

fftData4 = complex(zeros(64, length(fftData3)));
symb = fftData3(:,3);

for i=1:length(fftData3)
    
    newSymb = ifft(fft(fftData3(:,i)) .* mask);
    c = corrcoef(newSymb, symb);
    c = abs(c(2,1));
    disp(c)
    if c > 0.9
        fftData4(:,i) = newSymb;
    else
        fftData4(:,i) = zeros(64,1);
    end
    
end

end

