function [decMsgInBits, numFramesDetected] = DreceiveOFDMSignal(rxSig)
% RECEIVEOFDMSIGNAL: Recover OFDM symbols from the time domain input signal
% and return the number of detected frames and the decoded bits from these
% detected frames.

% Copyright 2014 The MathWorks, Inc.

    OFDMRX = DOFDMReceiver( ...
        'FrameLength',    40320, ...
        'DisplayMessage', false, ...        
        'ShowScopes',     false);

[decMsgInBits, numFramesDetected] = step(OFDMRX, rxSig);

% [EOF]