function [ joined, peakOut ] = join_carriers( piece, peakIn )

piece = abs(fft(piece));
pieceLen = length(piece)/64;

joined = zeros(1,pieceLen);
for i=0:62
    joined = joined + piece(i*pieceLen + pieceLen/2:(i+1)*pieceLen-1 + pieceLen/2);
end

if peakIn < 1
    [~,peakOut] = max(joined);
else
    peakOut = peakIn;
end

% [~,peakOut] = max(joined);


if peakOut > 10 
    joined = joined(peakOut-15:peakOut+15);
else
   joined = []; 
end


end

