function send_test( data, gain )

data = data / max(abs([max(real(data)) min(real(data)) max(imag(data)) min(imag(data)) ])) * 0.8;

msps = 25;
frame_size = 362*100;

radio = comm.SDRuTransmitter('IPAddress', '192.168.10.2',...
          'CenterFrequency', 2.5e9,...
          'Gain', gain, ...
          'InterpolationFactor', 100/msps);
      

iterations = ceil(length(data)/frame_size);
      
data_length = length(data);


%for i=1:iterations
%    step(radio,data);
%end
 

 for i=0:iterations-1
   from = 1+i*frame_size;
   to = min(1+(i+1)*frame_size, data_length);
 %  disp(from);
 %  disp(to);
 %  disp('--');
   step(radio, data(from:to));
 end


release(radio);

end